| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Num.OptFileManager Class Reference

Performs elementary operations for optimization and analysis servers and clients that exchange data and messages through files. Each such server can serve a single request at a time (single thread of execution). Client-server pair (or pairs, when both analysis and optimization are performed in this way) has (or have) a single directory for exchanging data and messages. If there is a need for analyses running in parallel, each thread must have its own directory and its own client-server pair. More...

Inheritance diagram for IG.Num.OptFileManager:
[legend]
Collaboration diagram for IG.Num.OptFileManager:
[legend]

## Public Member Functions
| OptFileManager (string directoryPath)
| Creates a new optimization file server manager. More...
string | GetPath (string relativePath)
| Returns full path of the file or directory with the specified relative path within the data and messages exchange directory. More...
bool | LockFileMutexCheckAbandoned ()
| Check whether the filesystem locking mutex (property LockFileMutex) has been abandoned, and returns true if it has been (otherwise, false is returned). More...
virtual bool | IsAnInputReady ()
| Gets a flag telling whether analysis input data is ready. More...
virtual void | WaitAnInputReady ()
| Waits until analysis data is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution. More...
virtual void | ClearAnInputReady ()
| Clears the analysis data ready flag. More...
virtual void | SetAnInputReady ()
| Sets the analysis input ready flag. More...
virtual bool | IsAnResultsReady ()
| Gets a flag telling whether analysis output data is ready. More...
virtual void | WaitAnResultsReady ()
| Waits until analysis data is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution. More...
virtual void | ClearAnResultsReady ()
| Clears the analysis results ready flag. More...
virtual void | SetAnResultsReady ()
| Sets the analysis results ready flag. More...
virtual bool | IsAnBusy ()
| Gets a flag telling whether direct analysis is busy. More...
virtual void | WaitAnReady ()
| Waits until analysis is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution. More...
virtual void | ClearAnBusy ()
| Clears the analysis busy flag. More...
virtual void | SetAnBusy ()
| Sets the analysis busy flag. More...
void | ClearMessages ()
| Clears messages from the working directory. More...
virtual void | ClientWriteAnInput (AnalysisResults anInput)
| Client writes analysis input data for calculation of analysis results. Messages are set nad cleared appropriately. More...
virtual void | ClientReadAnOutput (ref AnalysisResults anres)
| Client reads analysis results. Messages are set and cleared appropriately. More...
virtual void | ClientSendAnalysisRequest ()
| Sends request to the server for calculation of analysis response. More...
virtual void | ClientCalculateAnalysisResults (ref AnalysisResults anRes)
| Calculates analysis results by using the analysis server. Writes analysis input, sends request to the server, and reads the calculated results. More...
virtual void | ClientTestCalculateAnalysisResults (string inputFilePath, bool reqObjective, bool reqConstraints, bool reqObjectiveGradient, bool reqConstraintGradients, string outputFilePath)
| Performs client-side test calculation of analysis response. More...
virtual void | ServerAnalyse ()
| Performs direct analysis (in optimization) with prescribed analysis input data, and saves results. Messages are set and cleared appropriately. This method reads analysis input from standard location, performs calculation, calculates analysis results and stores them to the standard location. More...

## Protected Member Functions
virtual void | WriteAnalysisInputMath (string filePath, AnalysisResults anpt)
| Stores analysis input data to the specified file in the standard format (Mathematica-like, but with C style numbers). Does not perform any locking. More...
virtual void | WriteAnalysisInputJson (string filePath, AnalysisResults anpt)
| Stores analysis input data to the specified file in the JSON format. Does not perform any locking. More...
virtual void | WriteAnalysisInputXml (string filePath, AnalysisResults anpt)
| Stores analysis input data to the specified file in the XML format Does not perform any locking. More...
virtual void | ReadAnalysisInputMath (string filePath, ref AnalysisResults anpt)
| Reads analysis input data (request) from the specified file in the standard IGLib format, and stores the data in the specified object. More...
virtual void | ReadAnalysisInputJson (string filePath, ref AnalysisResults anpt)
| Reads analysis input data (request) from the specified file in the JSON format, and stores the data in the specified object. More...
virtual void | ReadAnalysisInputXml (string filePath, ref AnalysisResults anpt)
| Reads analysis input data (request) from the specified file in the XML format, and stores the data in the specified object. More...
virtual void | WriteAnalysisOutputMath (string filePath, AnalysisResults anpt)
| Stores analysis results to the specified file in the standard format (Mathematica-like, but with C style numbers). Does not perform any locking. More...
virtual void | WriteAnalysisOutputJson (string filePath, AnalysisResults anpt)
| Stores analysis output data to the specified file in the JSON format Does not perform any locking. More...
virtual void | WriteAnalysisOutputXml (string filePath, AnalysisResults anpt)
| Stores analysis output data to the specified file in the XML format . Does not perform any locking. More...
virtual void | ReadAnalysisOutputMath (string filePath, ref AnalysisResults anpt)
| Reads analysis output data (request) from the specified file in the standard IGLib format, and stores the data in the specified object. More...
virtual void | ReadAnalysisOutputJson (string filePath, ref AnalysisResults anpt)
| Reads analysis output data (request) from the specified file in the JSON format, and stores the data in the specified object. More...
virtual void | ReadAnalysisOutputXml (string filePath, ref AnalysisResults anpt)
| Reads analysis output data (request) from the specified file in the XML format, and stores the data in the specified object. More...

## Protected Attributes
string | _directory = null
string | _anInMathFilename = OptFileConst.AnInMathFileName
string | _msgAnBusyFileName = OptFileConst.MsgAnBusyFilename
string | _invOptCommandFilename = OptFileConst.InvOptCommandFilename
string | _lockFileMutexName = OptFileConst.LockFileMutexName
Mutex | _lockFileMutex

## Properties
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
string | DataDirectory`[get, protected set]`
| Directory for data and messages exchange through files. More...
string | LockFileMutexName`[get, protected set]`
| Name of the mutex for system-wide locking of files. More...
Mutex | LockFileMutex`[get]`
| Mutex for system-wide exclusive locks for file system operations related to the current class. More...
string | AnInMathPath`[get, protected set]`
| File path of the analysis input file in standard IGLib format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called. More...
string | AnInJsonPath`[get, protected set]`
| File path of the analysis input file in Json format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called. More...
string | AnInXmlPath`[get, protected set]`
| File path of the analysis input file in XML format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called. More...
string | AnOutMathPath`[get, protected set]`
| File path of the analysis output file in standard IGLib format. Setter takes only pure file name, without path information. If set to null then fle path is set to null and will be recalculated when getter is called. More...
string | AnOutJsonPath`[get, protected set]`
| File path of the analysis output file in JSON format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called. More...
string | AnOutXmlPath`[get, protected set]`
| File path of the analysis output file in XML format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called. More...
string | MsgAnBusyPath`[get, protected set]`
| File path of the analysis busy flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | MsgAnInputReadyPath`[get, protected set]`
| File path of the analysis input data ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | MsgAnResultsReadyPath`[get, protected set]`
| File path of the analysis results ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | MsgOptBusyPath`[get, protected set]`
| File path of the optimization busy flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | MsgOptInputReadyPath`[get, protected set]`
| File path of the optimization input data ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | MsgOptResultsReadyPath`[get, protected set]`
| File path of the optimization resutlts ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | InvOptCommandPath`[get, protected set]`
| File path of the optimization command file for program Inverse (Inverse interface). Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
string | InvAnCommandFilePath`[get, protected set]`
| File path of the analysis command file for program Inverse (Inverse interface). Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called. More...
ISerializer | SerializerJson`[get]`
| Serializer for JSON format. More...
bool | AnFormatMath`[get, set]`
| Gets or sets the flag indicating whether analysis input and output is written Math format. More...
bool | AnFormatJson`[get, set]`
| Gets or sets the flag indicating whether analysis input and output is written JSON format. More...
bool | AnFormatXml`[get, set]`
| Gets or sets the flag indicating whether analysis input and output is written XML format. More...
AnalysisResults | AnResults`[get]`
| Analysis reaults whae analysis request data and analysis results ar stored. More...
virtual IAnalysis | Analysis`[get, set]`
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Attributes
object | _mainLock = new object()
string | _anInMathPath = null
string | _anInJsonFilename = OptFileConst.AnInJsonFilename
string | _anInJsonPath = null
string | _anInXmlFilename = OptFileConst.AnInXmlFileName
string | _anInXmlPath = null
string | _anOutMathFilename = OptFileConst.AnOutMathFilename
string | _anOutMathPath = null
string | _anOutJsonFilename = OptFileConst.AnOutJsonFilename
string | _anOutJsonPath = null
string | _anOutXmlFilename = OptFileConst.AnOutXmlFilename
string | _anOutXmlPath = null
string | _msgAnBusyPath = null
string | _msgAnInputReadyFileName = OptFileConst.MsgAnInputReadyFilename
string | _msgAnInputReadyPath = null
string | _msgAnResultsReadyFileName = OptFileConst.MsgAnResultsReadyFilename
string | _msgAnResultsReadyPath = null
string | _msgOptBusyFilename = OptFileConst.MsgOptBusyFilename
string | _msgOptBusyPath = null
string | _msgOptInputReadyFilename = OptFileConst.MsgOptDataReadyFilename
string | _msgOptInputReadyPath = null
string | _msgOptResultsReadyFilename = OptFileConst.MsgOptResultsReadyFilename
string | _msgOptResultsReadyPath = null
string | _invOptCommandPath = null
string | _invAnCommandFilename = OptFileConst.InvAnCommandFilename
string | _invAnCommandPath = null
ISerializer | _serializerJson
bool | _anFormatMath = true
bool | _anFormatJson = true
bool | _anFormatXml = false
AnalysisResults | _anResults
IAnalysis | _analysis

## Detailed Description

Performs elementary operations for optimization and analysis servers and clients that exchange data and messages through files. Each such server can serve a single request at a time (single thread of execution). Client-server pair (or pairs, when both analysis and optimization are performed in this way) has (or have) a single directory for exchanging data and messages. If there is a need for analyses running in parallel, each thread must have its own directory and its own client-server pair.

WARNING: This module is taken from Dragonfly opt. server and adapted for purpose of some projects. If necessary to further develop, synchronize (and possibly merge) with Dragonfly, otherwise there will be problems with consistent development of both branches.

$A Igor jul08 Mar11;

## Constructor & Destructor Documentation

IG.Num.OptFileManager.OptFileManager | ( | string | directoryPath | ) |
| inline

Creates a new optimization file server manager.

Parameters

  directoryPath | Path to the working directory for the current manager. This is the directory where all data and commmunication (data transfer and messaging) files are located.

## Member Function Documentation

string IG.Num.OptFileManager.GetPath | ( | string | relativePath | ) |
| inline

Returns full path of the file or directory with the specified relative path within the data and messages exchange directory.

Parameters

  relativePath | Relative path (with respect to data and messages exchange directory)

Returns

bool IG.Num.OptFileManager.LockFileMutexCheckAbandoned | ( |  | ) |
| inline

Check whether the filesystem locking mutex (property LockFileMutex) has been abandoned, and returns true if it has been (otherwise, false is returned).

After the call, mutex is no longer in abandoned state (WaitOne() will not throw an exception) if it has been before the call.

Call does not block.

Returns
  true if mutex has been abandoned, false otherwise.

References IG.Lib.Util.MutexCheckAbandoned().

virtual bool IG.Num.OptFileManager.IsAnInputReady | ( |  | ) |
| inline virtual

Gets a flag telling whether analysis input data is ready.

virtual void IG.Num.OptFileManager.WaitAnInputReady | ( |  | ) |
| inline virtual

Waits until analysis data is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution.

virtual void IG.Num.OptFileManager.ClearAnInputReady | ( |  | ) |
| inline virtual

Clears the analysis data ready flag.

virtual void IG.Num.OptFileManager.SetAnInputReady | ( |  | ) |
| inline virtual

Sets the analysis input ready flag.

virtual bool IG.Num.OptFileManager.IsAnResultsReady | ( |  | ) |
| inline virtual

Gets a flag telling whether analysis output data is ready.

virtual void IG.Num.OptFileManager.WaitAnResultsReady | ( |  | ) |
| inline virtual

Waits until analysis data is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution.

virtual void IG.Num.OptFileManager.ClearAnResultsReady | ( |  | ) |
| inline virtual

Clears the analysis results ready flag.

virtual void IG.Num.OptFileManager.SetAnResultsReady | ( |  | ) |
| inline virtual

Sets the analysis results ready flag.

virtual bool IG.Num.OptFileManager.IsAnBusy | ( |  | ) |
| inline virtual

Gets a flag telling whether direct analysis is busy.

virtual void IG.Num.OptFileManager.WaitAnReady | ( |  | ) |
| inline virtual

Waits until analysis is ready. REMARK: Currently this file just checks existence of the file in a loop. This should be changed in the future because it is not the best solution.

virtual void IG.Num.OptFileManager.ClearAnBusy | ( |  | ) |
| inline virtual

Clears the analysis busy flag.

virtual void IG.Num.OptFileManager.SetAnBusy | ( |  | ) |
| inline virtual

Sets the analysis busy flag.

void IG.Num.OptFileManager.ClearMessages | ( |  | ) |
| inline

Clears messages from the working directory.

virtual void IG.Num.OptFileManager.WriteAnalysisInputMath | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis input data to the specified file in the standard format (Mathematica-like, but with C style numbers). Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis input data.

References IG.Num.AnalysisResults.SaveRequestMath().

virtual void IG.Num.OptFileManager.WriteAnalysisInputJson | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis input data to the specified file in the JSON format. Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis input data.

virtual void IG.Num.OptFileManager.WriteAnalysisInputXml | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis input data to the specified file in the XML format Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis results.

virtual void IG.Num.OptFileManager.ReadAnalysisInputMath | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis input data (request) from the specified file in the standard IGLib format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

References IG.Num.AnalysisResults.LoadRequestMath().

virtual void IG.Num.OptFileManager.ReadAnalysisInputJson | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis input data (request) from the specified file in the JSON format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

virtual void IG.Num.OptFileManager.ReadAnalysisInputXml | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis input data (request) from the specified file in the XML format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

virtual void IG.Num.OptFileManager.WriteAnalysisOutputMath | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis results to the specified file in the standard format (Mathematica-like, but with C style numbers). Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis output data.

References IG.Num.AnalysisResults.SaveMath().

virtual void IG.Num.OptFileManager.WriteAnalysisOutputJson | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis output data to the specified file in the JSON format Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis results.

virtual void IG.Num.OptFileManager.WriteAnalysisOutputXml | ( | string | filePath,
|  | AnalysisResults | anpt
| ) |  |
| inline protected virtual

Stores analysis output data to the specified file in the XML format . Does not perform any locking.

Parameters

  filePath | Full path of the file that data is written to.
  anpt | Analysis results.

virtual void IG.Num.OptFileManager.ReadAnalysisOutputMath | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis output data (request) from the specified file in the standard IGLib format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

References IG.Num.AnalysisResults.LoadMath().

virtual void IG.Num.OptFileManager.ReadAnalysisOutputJson | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis output data (request) from the specified file in the JSON format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

virtual void IG.Num.OptFileManager.ReadAnalysisOutputXml | ( | string | filePath,
|  | ref AnalysisResults | anpt
| ) |  |
| inline protected virtual

Reads analysis output data (request) from the specified file in the XML format, and stores the data in the specified object.

Parameters

  filePath | Path to the file that data is read from.
  anpt | Analysis results object where the data is stored.

virtual void IG.Num.OptFileManager.ClientWriteAnInput | ( | AnalysisResults | anInput | ) |
| inline virtual

Client writes analysis input data for calculation of analysis results. Messages are set nad cleared appropriately.

Parameters

  anInput | Parameters to be written.

virtual void IG.Num.OptFileManager.ClientReadAnOutput | ( | ref AnalysisResults | anres | ) |
| inline virtual

Client reads analysis results. Messages are set and cleared appropriately.

Parameters

  anres | Object where results are written.

virtual void IG.Num.OptFileManager.ClientSendAnalysisRequest | ( |  | ) |
| inline virtual

Sends request to the server for calculation of analysis response.

virtual void IG.Num.OptFileManager.ClientCalculateAnalysisResults | ( | ref AnalysisResults | anRes | ) |
| inline virtual

Calculates analysis results by using the analysis server. Writes analysis input, sends request to the server, and reads the calculated results.

Parameters

  anRes | Analysis results object where approximation output values are stored.

virtual void IG.Num.OptFileManager.ClientTestCalculateAnalysisResults | ( | string | inputFilePath,
|  | bool | reqObjective,
|  | bool | reqConstraints,
|  | bool | reqObjectiveGradient,
|  | bool | reqConstraintGradients,
|  | string | outputFilePath
| ) |  |
| inline virtual

Performs client-side test calculation of analysis response.

Parameters

  inputFilePath | Path to the JSON file where input parameters are read from. The file pointed at must exist.
  reqObjective | Flag indicating whether objective function must be calculated.
  reqConstraints | Flag indicating whether constraint functions must be calculated.
  reqObjectiveGradient | Flag indicating whether objective function gradientmust be calculated.
  reqConstraintGradients | Fleg indicating whether constraint function gradients must be calculated.
  outputFilePath | Path of a file where the calculated analysis response in JSON is written to. It can be null or empty string, in this case response is not written to a file (but it is output on console).

References IG.Num.VectorBase.LoadJson(), IG.Num.AnalysisResults.Parameters, IG.Num.AnalysisResults.ReqConstraintGradients, IG.Num.AnalysisResults.ReqConstraints, IG.Num.AnalysisResults.ReqObjective, IG.Num.AnalysisResults.ReqObjectiveGradient, and IG.Num.AnalysisResults.SaveJson().

virtual void IG.Num.OptFileManager.ServerAnalyse | ( |  | ) |
| inline virtual

Performs direct analysis (in optimization) with prescribed analysis input data, and saves results. Messages are set and cleared appropriately. This method reads analysis input from standard location, performs calculation, calculates analysis results and stores them to the standard location.

References IG.Num.AnalysisResults.ResetResults().

## Member Data Documentation

object IG.Num.OptFileManager._mainLock = new object()
| private

string IG.Num.OptFileManager._directory = null
| protected

string IG.Num.OptFileManager._anInMathFilename = OptFileConst.AnInMathFileName
| protected

string IG.Num.OptFileManager._anInMathPath = null
| private

string IG.Num.OptFileManager._anInJsonFilename = OptFileConst.AnInJsonFilename
| private

string IG.Num.OptFileManager._anInJsonPath = null
| private

string IG.Num.OptFileManager._anInXmlFilename = OptFileConst.AnInXmlFileName
| private

string IG.Num.OptFileManager._anInXmlPath = null
| private

string IG.Num.OptFileManager._anOutMathFilename = OptFileConst.AnOutMathFilename
| private

string IG.Num.OptFileManager._anOutMathPath = null
| private

string IG.Num.OptFileManager._anOutJsonFilename = OptFileConst.AnOutJsonFilename
| private

string IG.Num.OptFileManager._anOutJsonPath = null
| private

string IG.Num.OptFileManager._anOutXmlFilename = OptFileConst.AnOutXmlFilename
| private

string IG.Num.OptFileManager._anOutXmlPath = null
| private

string IG.Num.OptFileManager._msgAnBusyFileName = OptFileConst.MsgAnBusyFilename
| protected

string IG.Num.OptFileManager._msgAnBusyPath = null
| private

string IG.Num.OptFileManager._msgAnInputReadyFileName = OptFileConst.MsgAnInputReadyFilename
| private

string IG.Num.OptFileManager._msgAnInputReadyPath = null
| private

string IG.Num.OptFileManager._msgAnResultsReadyFileName = OptFileConst.MsgAnResultsReadyFilename
| private

string IG.Num.OptFileManager._msgAnResultsReadyPath = null
| private

string IG.Num.OptFileManager._msgOptBusyFilename = OptFileConst.MsgOptBusyFilename
| private

string IG.Num.OptFileManager._msgOptBusyPath = null
| private

string IG.Num.OptFileManager._msgOptInputReadyFilename = OptFileConst.MsgOptDataReadyFilename
| private

string IG.Num.OptFileManager._msgOptInputReadyPath = null
| private

string IG.Num.OptFileManager._msgOptResultsReadyFilename = OptFileConst.MsgOptResultsReadyFilename
| private

string IG.Num.OptFileManager._msgOptResultsReadyPath = null
| private

string IG.Num.OptFileManager._invOptCommandFilename = OptFileConst.InvOptCommandFilename
| protected

string IG.Num.OptFileManager._invOptCommandPath = null
| private

string IG.Num.OptFileManager._invAnCommandFilename = OptFileConst.InvAnCommandFilename
| private

string IG.Num.OptFileManager._invAnCommandPath = null
| private

string IG.Num.OptFileManager._lockFileMutexName = OptFileConst.LockFileMutexName
| protected

Mutex IG.Num.OptFileManager._lockFileMutex
| protected

ISerializer IG.Num.OptFileManager._serializerJson
| private

bool IG.Num.OptFileManager._anFormatMath = true
| private

bool IG.Num.OptFileManager._anFormatJson = true
| private

bool IG.Num.OptFileManager._anFormatXml = false
| private

AnalysisResults IG.Num.OptFileManager._anResults
| private

IAnalysis IG.Num.OptFileManager._analysis
| private

## Property Documentation

object IG.Num.OptFileManager.Lock
| get

This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock.

string IG.Num.OptFileManager.DataDirectory
| get protected set

Directory for data and messages exchange through files.

string IG.Num.OptFileManager.LockFileMutexName
| get protected set

Name of the mutex for system-wide locking of files.

Mutex IG.Num.OptFileManager.LockFileMutex
| get protected

Mutex for system-wide exclusive locks for file system operations related to the current class.

string IG.Num.OptFileManager.AnInMathPath
| get protected set

File path of the analysis input file in standard IGLib format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.AnInJsonPath
| get protected set

File path of the analysis input file in Json format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.AnInXmlPath
| get protected set

File path of the analysis input file in XML format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.AnOutMathPath
| get protected set

File path of the analysis output file in standard IGLib format. Setter takes only pure file name, without path information. If set to null then fle path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.AnOutJsonPath
| get protected set

File path of the analysis output file in JSON format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.AnOutXmlPath
| get protected set

File path of the analysis output file in XML format. Setter takes only pure file name, without path information. If set to null then file path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgAnBusyPath
| get protected set

File path of the analysis busy flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgAnInputReadyPath
| get protected set

File path of the analysis input data ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgAnResultsReadyPath
| get protected set

File path of the analysis results ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgOptBusyPath
| get protected set

File path of the optimization busy flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgOptInputReadyPath
| get protected set

File path of the optimization input data ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.MsgOptResultsReadyPath
| get protected set

File path of the optimization resutlts ready flag file. Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.InvOptCommandPath
| get protected set

File path of the optimization command file for program Inverse (Inverse interface). Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

string IG.Num.OptFileManager.InvAnCommandFilePath
| get protected set

File path of the analysis command file for program Inverse (Inverse interface). Setter takes only pure file name, without path information. If set to null then path is set to null and will be recalculated when getter is called.

ISerializer IG.Num.OptFileManager.SerializerJson
| get protected

Serializer for JSON format.

bool IG.Num.OptFileManager.AnFormatMath
| get set

Gets or sets the flag indicating whether analysis input and output is written Math format.

bool IG.Num.OptFileManager.AnFormatJson
| get set

Gets or sets the flag indicating whether analysis input and output is written JSON format.

bool IG.Num.OptFileManager.AnFormatXml
| get set

Gets or sets the flag indicating whether analysis input and output is written XML format.

AnalysisResults IG.Num.OptFileManager.AnResults
| get protected

Analysis reaults whae analysis request data and analysis results ar stored.

virtual IAnalysis IG.Num.OptFileManager.Analysis
| get set

The documentation for this class was generated from the following file:

- igbase/optimization/fileserver/OptFileManager.cs